function dYfuncvecdV = ODEfun(V,Yfuncvec); 
Fa = Yfuncvec(1); 
Fb = Yfuncvec(2); 
Fc = Yfuncvec(3); 
Fd = Yfuncvec(4); 
T = Yfuncvec(5); 
Ta = Yfuncvec(6); 
% Explicit equations
E2 = 12000; 
y = 1; 
R = 1.987; 
Ft = Fa + Fb + Fc + Fd; 
To = 300; 
k2c = 2 * exp(E2 / R * (1 / 300 - (1 / T))); 
E1 = 8000; 
Cto = 0.2; 
Ca = Cto * Fa / Ft * To / T * y; 
Cc = Cto * Fc / Ft * To / T * y; 
r2c = 0 - (k2c * Ca ^ 2 * Cc ^ 3); 
Cpco = 10; 
m = 50; 
Cb = Cto * Fb / Ft * To / T * y; 
k1a = 40 * exp(E1 / R * (1 / 300 - (1 / T))); 
r1a = 0 - (k1a * Ca * Cb ^ 2); 
r1b = 2 * r1a; 
rb = r1b; 
r2a = 2 / 3 * r2c; 
DH1b = -15000; 
DH2a = -10000; 
r1c = 0 - r1a; 
Ta55 = 325; 
Cpd = 16; 
Cpa = 10; 
Cpb = 12; 
Cpc = 14; 
sumFiCpi = Cpa * Fa + Cpb * Fb + Cpc * Fc + Cpd * Fd; 
rc = r1c + r2c; 
Ua = 0; 
r2d = -1 / 3 * r2c; 
ra = r1a + r2a; 
rd = r2d; 
Qg = r1b * DH1b + r2a * DH2a; 
Qr = Ua * (T - Ta); 
% Differential equations
dFadV = ra; 
dFbdV = rb; 
dFcdV = rc; 
dFddV = rd; 
dTdV = (Qg - Qr) / sumFiCpi; 
dTadV = Ua * (T - Ta) / m / Cpco; 
dYfuncvecdV = [dFadV; dFbdV; dFcdV; dFddV; dTdV; dTadV]; 
